org.eclnt.jsfserver.elements.componentnodes

## Class OUTLOOKBARITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OUTLOOKBARITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OUTLOOKBARITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OUTLOOKBARITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OUTLOOKBARITEMNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `OUTLOOKBARITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindAlign(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindBorder(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindClientname(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindHeight(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindHorizontaltextposition(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindImage(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `OUTLOOKBARITEMNode` | `setAccessiblename(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setActionListener(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setAdapterbinding(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setAlign(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setAttributemacro(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setBorder(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setClientname(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setConfiginfo(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setFocusable(boolean value)`
    `OUTLOOKBARITEMNode` | `setFocusable(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setFocusdrawborder(boolean value)`
    `OUTLOOKBARITEMNode` | `setFocusdrawborder(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setHeight(int value)`
    `OUTLOOKBARITEMNode` | `setHeight(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setHorizontaltextposition(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setId(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setImage(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setReference(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setRendered(boolean value)`
    `OUTLOOKBARITEMNode` | `setRendered(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setStylevariant(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setText(java.lang.String value)`
    `OUTLOOKBARITEMNode` | `setTooltip(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OUTLOOKBARITEMNode

          public OUTLOOKBARITEMNode()

  - ### Method Detail

    - #### setId

          public OUTLOOKBARITEMNode setId(java.lang.String value)

    - #### setAccessiblename

          public OUTLOOKBARITEMNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public OUTLOOKBARITEMNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public OUTLOOKBARITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OUTLOOKBARITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public OUTLOOKBARITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public OUTLOOKBARITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public OUTLOOKBARITEMNode setAlign(java.lang.String value)

    - #### bindAlign

          public OUTLOOKBARITEMNode bindAlign(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public OUTLOOKBARITEMNode setAttributemacro(java.lang.String value)

    - #### setBorder

          public OUTLOOKBARITEMNode setBorder(java.lang.String value)

    - #### bindBorder

          public OUTLOOKBARITEMNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public OUTLOOKBARITEMNode setClientname(java.lang.String value)

    - #### bindClientname

          public OUTLOOKBARITEMNode bindClientname(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public OUTLOOKBARITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OUTLOOKBARITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFocusable

          public OUTLOOKBARITEMNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public OUTLOOKBARITEMNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public OUTLOOKBARITEMNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public OUTLOOKBARITEMNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public OUTLOOKBARITEMNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public OUTLOOKBARITEMNode setFocusdrawborder(boolean value)

    - #### setHeight

          public OUTLOOKBARITEMNode setHeight(java.lang.String value)

    - #### bindHeight

          public OUTLOOKBARITEMNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public OUTLOOKBARITEMNode setHeight(int value)

    - #### setHorizontaltextposition

          public OUTLOOKBARITEMNode setHorizontaltextposition(java.lang.String value)

    - #### bindHorizontaltextposition

          public OUTLOOKBARITEMNode bindHorizontaltextposition(IDynamicContentBindingObject value)

    - #### setImage

          public OUTLOOKBARITEMNode setImage(java.lang.String value)

    - #### bindImage

          public OUTLOOKBARITEMNode bindImage(IDynamicContentBindingObject value)

    - #### setReference

          public OUTLOOKBARITEMNode setReference(java.lang.String value)

    - #### setRendered

          public OUTLOOKBARITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public OUTLOOKBARITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OUTLOOKBARITEMNode setRendered(boolean value)

    - #### setStylevariant

          public OUTLOOKBARITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OUTLOOKBARITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public OUTLOOKBARITEMNode setText(java.lang.String value)

    - #### bindText

          public OUTLOOKBARITEMNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public OUTLOOKBARITEMNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public OUTLOOKBARITEMNode bindTooltip(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.